Subject: Re: [PATCH] Add yadm

From: Leo Prikler <[email-masked]>
Date: Mon, 01 Feb 2021 12:44:40 +0100

Am Montag, den 01.02.2021, 10:06 +0000 schrieb Ellis Kenyő:
> I understand that, the question was how are they handled if they're
> installed after yadm? Would yadm be rebuilt with the new inputs?
I think you are fundamentally misunderstanding the nature of functional
package management here.  yadm should – like any other package – depend
on its inputs and just its inputs.  Whether or not you have another
package installed should not be relevant for the functioning of yadm
and likewise not cause a rebuild.  What should cause a rebuild is any
of its inputs changing between two generations of `guix pull'.

Regards,
Leo